
QGIS Application - Bug report #14354

QGIS Server occasionally crashes when running in CGI mode

2016-02-22 04:51 AM - Alessandro Pasotti

Status: Closed

Priority: High

Assignee:

Category: QGIS Server

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 22338

Description

The problem does not appear when running in FCGI mode because it happen when the program terminates. 

Typical syptoms are:

    -  the output is truncated

    -  segfault in the logs

    -  * Error in `./qgis_mapserv.cgi': corrupted double-linked list: 0x00000000015f40a0 *

Program received signal SIGABRT, Aborted.

0x00007f445412dcc9 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56

(gdb)                                                                                                                                                                                                                      

     

#0  0x00007f445412dcc9 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56                                              

                                                                              

#1  0x00007f44541310d8 in __GI_abort () at abort.c:89

#2  0x00007f445416a394 in __libc_message (do_abort=do_abort@entry=1, fmt=fmt@entry=0x7f4454278b28 "*** Error in `%s':

%s: 0x%s ***\

") at ../sysdeps/posix/libc_fatal.c:175

#3  0x00007f4454175ac2 in malloc_printerr (ptr=<optimized out>, str=0x7f4454274bfc "corrupted double-linked list", action=1) at

malloc.c:4996

#4  malloc_consolidate (av=av@entry=0x7f44544b5760 <main_arena>) at malloc.c:4165

#5  0x00007f445417656d in _int_free (av=0x7f44544b5760 <main_arena>, p=<optimized out>, have_lock=0) at malloc.c:4057

#6  0x00007f4456e0c1cc in ?? () from /usr/lib/libgdal.so.1

#7  0x00007f4456e0c23f in ?? () from /usr/lib/libgdal.so.1

#8  0x00007f4456bc2c2b in ?? () from /usr/lib/libgdal.so.1

#9  0x00007f4456de5742 in GDALDriver::~GDALDriver() () from /usr/lib/libgdal.so.1

#10 0x00007f4456de5779 in GDALDriver::~GDALDriver() () from /usr/lib/libgdal.so.1

#11 0x00007f4456de7cae in GDALDriverManager::~GDALDriverManager() () from /usr/lib/libgdal.so.1

#12 0x00007f4456de7ce9 in GDALDriverManager::~GDALDriverManager() () from /usr/lib/libgdal.so.1

#13 0x00007f4456ada33a in ?? () from /usr/lib/libgdal.so.1

#14 0x00007f445904173a in _dl_fini () at dl-fini.c:252

#15 0x00007f4454133259 in __run_exit_handlers (status=0, listp=0x7f44544b56c8 <__exit_funcs>,

run_list_atexit=run_list_atexit@entry=true) at exit.c:82

#16 0x00007f44541332a5 in __GI_exit (status=<optimized out>) at exit.c:104

#17 0x00007f4454118ecc in __libc_start_main (main=0x419ba8 <main(int, char**)>, argc=1, argv=0x7ffe0e6b5a88,

init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7ffe0e6b5a78)

    at libc-start.c:321

#18 0x0000000000419ad9 in _start ()
History

#1 - 2017-02-04 02:50 AM - Giovanni Manghi

- Priority changed from Normal to High

#2 - 2017-03-07 10:49 AM - Giovanni Manghi

- Target version set to Version 3.0

#3 - 2017-05-01 01:06 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2018-06-11 05:11 PM - Alessandro Pasotti

- Resolution set to not reproducable

- Description updated

I cannot reproduce it anymore

#5 - 2018-06-14 11:45 AM - Alessandro Pasotti

- Status changed from Open to Closed
